<template>
	<view class="notice-item">
		<view class="notice_name">{{info.title}}</view>
		<view class="flex notice_text">
			<text class="">作者：{{info.author}}</text>
			<text class="">{{info.createtime}}</text>
		</view>
		<view class="notice_content" v-html="info.content"></view>
	</view>
</template>
<script>
import { getDetail } from '@/api/notice.js';
export default {
	data() {
		return {
			id:'',
			info:""
		};
	},
	onLoad(options) {
		this.id = options.id;
		this.loadData();
	},
	methods: {
		// 公告信息
		async loadData() {
			let obj = this;
			getDetail(obj.id).then(function(e) {
				obj.info = e.data
			})
		}
	}
};
</script>

<style lang="scss">
.container{
		width: 100%;
		color: #FFFFFF;
		background-color: #051137;
	}
.notice_name {
	font-size: 31rpx;
	color: #ffffff;
}
.notice-item {
	color: #fff;
	padding: 35rpx 35rpx;
}
.notice_text {
	// border-bottom: 1px solid #1b1f43;
	padding: 30rpx 0rpx;
}
.notice_content {
	font-size: 28rpx;
	padding: 25rpx 0rpx;
	color: #fff;
	line-height: 45rpx;
}
</style>
